Bug 657447 - [abrt] alsa-utils-1.0.23-3.fc14: pa_mutex_free: Process /usr/bin/aplay was killed by signal 11 (SIGSEGV)
Summary: [abrt] alsa-utils-1.0.23-3.fc14: pa_mutex_free: Process /usr/bin/aplay was ki...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:664541ba0fe57428fbf06837b81...
: 682834 783856 788340 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-26 04:59 UTC by Casey Dahlin
Modified: 2014-06-18 08:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:29:37 UTC


Attachments (Terms of Use)
File: backtrace (51.12 KB, text/plain)
2010-11-26 04:59 UTC, Casey Dahlin
no flags Details

Description Casey Dahlin 2010-11-26 04:59:51 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: aplay /usr/share/sounds/ekiga/ring.wav
component: alsa-utils
crash_function: pa_mutex_free
executable: /usr/bin/aplay
kernel: 2.6.35.6-48.fc14.x86_64
package: alsa-utils-1.0.23-3.fc14
rating: 4
reason: Process /usr/bin/aplay was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1290747326
uid: 500

How to reproduce
-----
1. Ran pasuspender aplay /usr/share/sounds/ekiga/ring.wav
2. When I got no sound and nothing happened for several seconds, I Ctrl-C'd it

Comment 1 Casey Dahlin 2010-11-26 04:59:54 UTC
Created attachment 462995 [details]
File: backtrace

Comment 2 Petr Ruzicka 2010-12-02 13:55:56 UTC
Package: alsa-utils-1.0.23-3.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I executed command "aplay /usr/share/gnome-games/sounds/appear.ogg", which coredumped.

[pruzicka@peru sounds]$ aplay appear.ogg 
Playing raw data 'appear.ogg' : Unsigned 8 bit, Rate 8000 Hz, Mono
^CAborted by signal Interrupt...
Assertion 'pthread_mutex_destroy(&m->mutex) == 0' failed at pulsecore/mutex-posix.c:83, function pa_mutex_free(). Aborting.
Aborted by signal Aborted...
Segmentation fault (core dumped)

Comment 3 Jaroslav Kysela 2010-12-02 14:35:33 UTC
It looks like a pulseaudio or alsa-plugins bug (the pulseaudio plugin). Reassigning to Lennart.

Comment 4 Petr Ruzicka 2010-12-02 17:29:22 UTC
I'm not able to reproduce it again :-(

Maybe it was just temp issue...

Comment 5 Jaroslav Kysela 2012-01-23 11:20:00 UTC
*** Bug 783856 has been marked as a duplicate of this bug. ***

Comment 6 Jaroslav Kysela 2012-01-23 11:21:20 UTC
*** Bug 682834 has been marked as a duplicate of this bug. ***

Comment 7 abrt-bot 2012-03-20 16:08:53 UTC
Backtrace analysis of bugs across components suggests the actual bug is in component alsa-lib or alsa-plugins instead of component pulseaudio, reassigning to alsa-lib.

Bugs which were found to be similar to this bug: 
  alsa-utils: bug #682834, bug #783856, bug #788340
  xmp: bug #630940

This comment is automatically generated.

Comment 8 abrt-bot 2012-03-20 16:09:03 UTC
*** Bug 788340 has been marked as a duplicate of this bug. ***

Comment 9 Fedora End Of Life 2012-08-16 18:29:40 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.